OPENSTACK(1)

NAME
openstack - OpenStack Command Line Client

OpenStack Command Line

SYNOPSIS

openstack [<global-options>] <command> [<command-arguments>]

openstack help <command>

openstack --help

DESCRIPTION

openstack provides a common command-line interface to OpenStack APIs. It is generally equivalent to the CLIs provided by the OpenStack project client librariess, but with a distinct and consistent command structure.

openstack uses a similar authentication scheme as the OpenStack project CLIs, with the credential information supplied either as environment variables or as options on the command line. The primary difference is the use of 'project' in the name of the options OS_PROJECT_NAME/OS_PROJECT_ID over the old tenant-based names.

        export OS_AUTH_URL=<url-to-openstack-identity>
        export OS_PROJECT_NAME=<project-name>
        export OS_USERNAME=<user-name>
        export OS_PASSWORD=<password>  # (optional)

OPTIONS

openstack recognizes the following global topions:

    --os-auth-url
        Authentication URL

    --os-project-name
        Authentication project name (only one of --os-project-name or --os-project-id need be supplied)

    --os-project-id
        Authentication tenant ID (only one of --os-project-name or --os-project-id need be supplied)

    --os-username
        Authentication username

    --os-password
        Authentication password

    --os-region-name
        Authentication region name

    --os-default-domain
        Default domain ID (Default: 'default')

    :options:`--os-use-keyring`

        Use keyring to store password (default: False)

    --os-cacert
        CA certificate bundle file

    --verify|--insecure
        Verify or ignore server certificate (default: verify)

    --os-identity-api-version
        Identity API version (Default: 2.0)

    --os-XXXX-api-version
        Additional API version options will be presend depending on the installed API libraries.

NOTES

[This section intentionally left blank. So there.]

COMMANDS

To get a list of the available commands:

        openstack -h

To get a description of a specific command:

        openstack help <command>

    complete
        Print the bash completion functions for the current command set.

    help
        Print help for an individual command

EXAMPLES

Show the detailed information for server appweb01:

        openstack --os-tenant-name ExampleCo --os-username demo --os-password secrete --os-auth-url http://localhost:5000:/v2.0 server show appweb01

The same command if the auth environment variables (OS_AUTH_URL, OS_PROJECT_NAME, OS_USERNAME, OS_PASSWORD) are set:

        openstack server show appweb01

Create a new image:

        openstack image create \
            --disk-format=qcow2 \
            --container-format=bare \
            --public \
            --copy-from http://somewhere.net/foo.img \
            foo

FILES
        ~/.openstack

ENVIRONMENT VARIABLES

The following environment variables can be set to alter the behaviour of openstack

    OS_USERNAME
        Set the username

    OS_PASSWORD
        Set the password

    OS_PROJECT_NAME
        Set the project name

    OS_AUTH_URL
        Set the authentication URL

BUGS

Bug reports are accepted at the python-openstackclient LaunchPad project "https://bugs.launchpad.net/python-openstackclient/+bugs".

AUTHORS

Please refer to the AUTHORS file distributed with OpenStackClient.

COPYRIGHT

Copyright 2011-2013 OpenStack Foundation and the authors listed in the AUTHORS file.

LICENSE

http://www.apache.org/licenses/LICENSE-2.0

SEE ALSO

The OpenStackClient page in the OpenStack Wiki contains further documentation.

The individual OpenStack project CLIs, the OpenStack API references.

AUTHOR
OpenStack contributors

COPYRIGHT
2012-2013 OpenStack Foundation